sayren Docs
Order items

Confirm

POST
/v1/order-items/{orderItemId}/confirm
AuthorizationBearer <token>

userToken(계정 스코프) 또는 storeToken(스토어 스코프)

In: header

Path Parameters

orderItemId*string

Header Parameters

idempotency-key*string

Response Body

application/json

curl -X POST "https://example.com/v1/order-items/string/confirm" \  -H "idempotency-key: string"
{  "meta": {    "status": 0,    "code": "OK",    "message": "string",    "isSuccess": true  },  "data": {    "orderItemId": "string",    "orderId": "string",    "status": "PAYMENT_WAITING",    "claimStatus": "CANCEL_REQUESTED",    "productId": "string",    "productName": "string",    "optionId": "string",    "optionName": "string",    "sellerCode": "string",    "quantity": -9007199254740991,    "unitPrice": -9007199254740991,    "discountAmount": -9007199254740991,    "totalPrice": -9007199254740991,    "hold": {      "reason": "string",      "expectedDispatchDate": "string"    },    "autoDecisionDate": "string",    "sellerMemo": "string",    "orderedAt": "string",    "lastChangedAt": "string",    "lastChangedType": "ORDER.PAID",    "testPayment": true  },  "error": null}